<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system   = "GE:エンジンサンプル"
	pgid     = "REP06"
	title    = "出力先マスタ"
	date     = "2007/12/12"
	author   = "K.HASEGAWA"
	text     = "ZZZZ"
	version  = "001"
/>

<!-- 変更はここからです。 -->

<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />

<!-- 入力チェックを行います。 -->
<!-- 入力内容がNULLの場合にエラーを返したい場合は、nullCheck属性を追加して下さい。-->
<og:columnCheck
	command = "{@command}"
/>

<!-- 取り消しボタンが押された時に必要です。 -->
<og:entry command = "{@command}" />

<!-- DBを検索するための SQL文を記述します。 debug="true" で画面からSQL文を確認できます。 -->
<og:query command="{@command}" debug="{@debug}" maxRowCount="{@maxRowCount}">
	<jsp:text>
		select
			PRTID,PRTNM,PRT_GRP,HOST,PORTNM,COMMENTS,SYSTEM_ID,FGJ,
			RDC_CODE,RELEASE_NOTES,DYSET, DYUPD, USRSET, USRUPD,PRGUPD
		from GE55
	</jsp:text>

	<!-- 検索条件でWhereTagを使用すれば{@xxxx}がNULLの場合、その条件は無視されます。 -->
	<og:where>
		<og:and value = "FGJ			= '1'"						/>
		<og:and value = "SYSTEM_ID	= '{@SYSTEM_ID}'"			/>
		<og:and value = "PRTID		LIKE '{@PRTID}%'"			/>
		<og:and value = "PRTNM		LIKE '{@PRTNM}%'"			/>
		<og:and value = "RDC_CODE	= '{@RDC_CODE}'"			/>
		<og:and value = "DYUPD		&gt;= '{@DYUPDFROM}'"		/>
		<og:and value = "DYUPD		&lt;= '{@DYUPDTO}99'"		/>
		<og:and value = "RELEASE_NOTES LIKE '{@RELEASE_NOTES}%'" />
	</og:where>
	<!-- ORDER BY句でAppearTagを使用すれば{@ORDER_BY}がNULLの場合、ORDER BY句は無視されます。 -->
	<!-- また、{@ORDER_BY}がNULLの場合に、defaultVal属性を指定すれば、その値でORDER BY表示されます。 -->
	<og:appear startKey = "order by" value = "{@SORT}"
				defaultVal = "FGJ,SYSTEM_ID,PRTID" />
</og:query>

<!-- ColumnEditorTagを使用すると、登録画面の入力フィールドで、入力の必須状態を表したり(must="true"を使用)、 -->
<!-- DBからの検索結果を、コンボボックスでプルダウン表示させる(editor="DBMENU"を使用)ことが可能となります。 -->
<og:columnEditor column="SYSTEM_ID" must="true" />
<og:columnEditor column="PRTID"     must="true" />

<form onSubmit="return oneClick();" method="POST" action="forward.jsp" target="RESULT">

<!-- 追加、複写、変更、削除ボタンを作成します。 -->
<og:writeCheck>
	<og:submit  value="copy"     lbl="COPY"    accesskey="C" />
	<og:submit  value="modify"   lbl="MODIFY"  accesskey="M" />
	<og:submit  value="delete"   lbl="DELETE"  accesskey="D" />

</og:writeCheck>

<!-- DB検索結果を表示させます。 -->
<og:view
	viewFormType = "HTMLTable"
	command 	 = "{@command}"
	noDisplay	 = "FGJ"
	checked      = "{@checked}"
	startNo      = "{@startNo}"
	pageSize     = "{@pageSize}"
/>

</form>
<!--
<og:message lbl="====================================================================" />
<br />
<og:regQuery  debug="{@debug}"   scope="request"
	command		= "NEW"
	baseKey		= "/microsoft/windows nt/currentversion/devices"
	maxLevel	= "1"
	notfoundMsg = ""
/>

<og:view     scope="request"
	viewFormType = "HTMLTable"
	command    = "{@command}"
	noDisplay  = "LEBEL,CHILD,PATH"
	startNo    = "{@startNo}"
	pageSize   = "{@pageSize}" />
-->
<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
